package com.nokia.dingtalk_api.pojos.bo;

import lombok.Data;

import java.time.Instant;
import java.time.LocalDateTime;

@Data
public class AppTaskBo {
    /**
     * 任务id
     */
    private String taskId;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 任务描述
     */
    private String description;

    /**
     * 任务状态，0已停止1运行中2已删除
     */
    private Integer status;

    /**
     * cron表达式
     */
    private String cron;

    /**
     * 应用编码
     */
    private String appId;

    /**
     * 机器人编码
     */
    private String robotCode;

    /**
     * 会话类型：1：单聊，2：群聊
     */
    private Integer conversationType;

    /**
     * 群id
     */
    private String openConversationId;

    /**
     * 接收机器人消息的用户的手机号列表
     */
    private String phones;

    /**
     * 接收机器人消息的用户的userId列表
     */
    private String userIds;

    /**
     * sftp id
     */
    private String sftpId;

    /**
     * 数据主文件夹
     */
    private String masterDir;

    /**
     * 是否有子文件夹，0否1是
     */
    private Integer hasSubdirectory;

    /**
     * 子文件夹匹配方式
     */
    private String subdirectoryMethod;

    /**
     * 子文件夹时延
     */
    private Integer dirTimeDelay;

    /**
     * 匹配最新子文件夹正则表达式
     */
    private String subdirectoryPattern;

    /**
     * 文件是否转为文本，0否1是
     */
    private Integer fileToText;

    /**
     * 文件匹配方式
     */
    private String fileMethod;

    /**
     * 文件时延
     */
    private Integer fileTimeDelay;

    /**
     * 文件前缀
     */
    private String filePrefix;

    /**
     * 文件扩展名
     */
    private String fileExtension;

    /**
     * 文件匹配正则表达式
     */
    private String filePattern;

    /**
     * 任务超时时间秒
     */
    private Integer taskTimeout;

    /**
     * 最大失败重试次数
     */
    private Integer maxRetryTimes;

    /**
     * 重试间隔秒
     */
    private Integer retryInterval;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 机器人密钥
     */
    private String robotSecret;

    /**
     * 机器人名称
     */
    private String robotName;
    /**
     * 主机
     */
    private String host;

    /**
     * 端口
     */
    private Integer port;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;
    /**
     * 失败重试次数
     */
    private Integer retryTimes = 0;

    /**
     * 重试时间
     */
    private Instant retryTime;

    /**
     * 告警方式
     */
    private String alertType;

    /**
     * 告警机器人名称
     */
    private String alertRobotName;

    /**
     * 告警机器人编码
     */
    private String alertRobotCode;

    /**
     * 告警机器人密钥
     */
    private String alertRobotSecret;

    /**
     * 告警群id
     */
    private String alertOpenConversationId;

    /**
     * 接收告警的手机号列表
     */
    private String alertPhones;

    /**
     * 接收告警的用户的userId列表
     */
    private String alertUserIds;

    /**
     * 日期参数
     */
    private String dateString;
}
